Skip to main content
`Ctrl`+`K`

# numpy.dtype.descr

attribute

dtype.descr

  __array_interface__ description of the data-type.

  The format is that required by the ‘descr’ key in the __array_interface__ attribute.

  Warning: This attribute exists specifically for __array_interface__, and passing it directly to `numpy.dtype` will not accurately reconstruct some dtypes (e.g., scalar and subarray dtypes).

  Examples

      >>> import numpy as np
      >>> x = np.dtype(float)
      >>> x.descr
      [('', '<f8')]

      >>> dt = np.dtype([('name', np.str_, 16), ('grades', np.float64, (2,))])
      >>> dt.descr
      [('name', '<U16'), ('grades', '<f8', (2,))]